These are chat archives for TypeStrong/atom-typescript

8th
Jul 2015
Jari Pennanen
@Ciantic
Jul 08 2015 11:57
@basarat how can I see which TS version is in atom? I gather you are patching it with stuff, I'm wondering when it might include this: Microsoft/TypeScript#3708
that was probably quickest fix from my suggestion to pull request someone had already in cooked
considering it's a breaking change, they did it pretty fast
kpgarrod
@kpgarrod
Jul 08 2015 14:04
Is there a webpack ts loader that is compatible with the a-t compiler atm?
I have a project that builds without errors in a-t, but when I try to build it with awesome-typescript-loader it has hundreds of errors
helarqjsc
@helarqjsc
Jul 08 2015 14:16
@basarat I've created a PR here: borisyankov/DefinitelyTyped#4852
There are probably some other typing files that have local only changes, right? I'll see if there are any later and create PR if needed
What causes an emit error? I want to get it for test purposes, but anything I come up with results in "compilation error, but emit succeeded" :D
Arseniy Maximov
@notarseniy
Jul 08 2015 16:13
We don't tslint (https://www.npmjs.com/package/tslint) ... we give ts compiler errors. But as suggested there isn't a way to switch it off at a granular level
@basarat so atom-typescript doesn't have config? :I
aw
i think, instant recompiling is freezing my atom sometimes.
Basarat Ali Syed
@basarat
Jul 08 2015 23:31

Is there a webpack ts loader that is compatible with the a-t compiler atm

@kpgarrod use compiler ntypescript : https://github.com/jbrantly/ts-loader/blob/master/test/jsx/webpack.config.js

What causes an emit error?

@helarqjsc They actually always emit : https://github.com/Microsoft/TypeScript/issues/2290#issuecomment-78204940

how can I see which TS version is in atom?

@Ciantic we use ntypescript. Check package.json for version. Since fix is two days ago I think its already merged into atom-typescript